@import "../partials/colors";
@import '../partials/reset';
@import '../partials/demensions';
@import '../partials/mixins';
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);


@media only screen and(max-width:900px){
    .basket-pop-up{
        width: 100% !important;
        padding: 0px !important;
  
        .checkout-overview{
            width: 96% !important;
            height: 60vh !important;
            img{
                max-width:80px;
            }
            .head{
                width: 95%;
            }
            .middel{
                width: 95%;
            }
            .bottem{
                width: 95% !important;
            }
       
        }
    }
}
.basket-close{
    left:-130% !important;
    transition: all 1000ms;
}


.basket-pop-up{
    position: absolute;
    padding:$bigPadding;

    background-color: $secondBackgroundTransp;
   
    z-index: 100 !important;
    width: 95%;
    max-width: 100%;
    height: 95%;

    top:0;
    left: 0;
    transition: all 1000ms;
    .checkout-overview{
        z-index: 100;
        height: 70vh;
        position:fixed;
        overflow-y:scroll;
        overflow-x:hidden;
 
        .bottem-popup{
        position: sticky;
        top: 10px;
        left: 0;
        display:flex;
        justify-content: space-between;
        text-align: center;
        padding: $normalPadding;
        div{
            @include border();
        }
        .popup-basket-toBasket{
                   &:hover{
                cursor: pointer;
            }
            background-color: $white;
            
            a{
           
                color: $black;
                text-decoration: none;
            }
        }
        .popup-basket-close{
            &:hover{
                cursor: pointer;
            }
        }
 
        div{
            padding: $normalPadding;
            color: $white;
            background-color:$black;
            width:50%;
        }
        }
        padding:$normalPadding ;
        background-color: $white;
        width: 600px;
        // height: 100%;
        h2{
            text-align: center !important;
            text-align: left;
            font-size: 2rem;
        }
     
    }
    .middel{
        text-transform: uppercase;
        padding: $bigPadding 0;
        width:100%;
        text-align: left;
        border-bottom: 1px solid $black;
        p{
            line-height: 1.3rem;
            
        }
    }
    .head{
        text-transform: uppercase;
        width: 100%;
        @include flexBox(row,space-between);
        padding: $normalPadding 0;
        @include borderBottom();
    }
    .bottem{
 
        padding: $bigPadding 0;
        width:100%;

        .total{
            width: 100%;
            .deliv{
                padding: $normalPadding 0;
                @include flexBox(row,space-between);
            }
            .grand-total{
                text-transform: uppercase;
                padding: $normalPadding 0;
                @include flexBox(row, space-between);
                padding-bottom: 40px;
            }
            border-bottom: 1px solid $black;
        }

      

    }
    .product-overview{

        max-width: 100% !important;
        h2{
            text-align: center;
        }
         
   
        @include flexBox(column);
        .price-line-true{
            text-decoration: line-through;
        }
        .row{
            .price{
                width: 200px;
                text-align: right;
            }
            max-width: 100%;
            padding-bottom: $normalPadding;
            @include borderBottom();
            width: 100%;
            @include flexBox(row,space-between);
            img{
                width:100px;
                padding: $normalPadding;
            }
            p{
                padding: 10px $normalPadding;
            }
        }
    }
}

.basket{
    padding: $normalPadding;
     .min{
        cursor: pointer;
        font-size: 1.3rem;
    }
    .plus{
        cursor: pointer;
        font-size: 1.3rem;
    }

    background-color: $white;

    // stijling als mandje leeg is

    .empty{
        height: 100vh;
        font-size: 1.5rem;
        padding: $bigPadding;
        a{
            margin: $bigMargin;
            box-shadow: 2px 2px $lightGray;
            text-decoration: none;
            display: block;
            padding:$normalPadding;
            background-color: $black;
            color: $white;
            text-align: center;
            border-radius: 5px;
        }
    }

    max-width: 100%;
    @include flexBox();
    .basket-container{
        min-height: 60vh;
        max-width: $maxWidthPage;
        width: 100%;
        display: grid;
        grid-template-columns:65% auto ;
        grid-template-rows: auto,auto;
        gap: 40px;

    /* --------------------  overzicht producten ------------------- */
        .basket-product-list{
            padding: $normalPadding;
            grid-column-start: 1;
            grid-column-end:2;


            table{
                .header-product{
                    text-align: left;
                    padding-left: $bigPadding;
                }
                th{
                   
                    padding: $normalPadding;
                    border-bottom: 1px solid $black;
                }
                width: 100%;
                td{
                    border-bottom: 1px solid $black;
                    padding: $normalPadding;
        
                    vertical-align: top;
                   
                }
                img{
                    width: 120px;
                }
                .product-name{
                    width: 100% !important;
                    padding: $normalPadding 0 !important;
                    div{
                        width: 100% !important;
                        .name{
                            font-size: $fontMedium;
    
                        }
                        .price{
                            padding: 0 !important;
                            min-width: 100% !important;
    
                        }
                        p{
                    
                            padding: $normalPadding;
                        }
                        .delete-product{
                            cursor: pointer;
                            margin-top: $smallMargin;
                            text-decoration: underline;
                        }

                    }
        
                }
                .quantity{
                    
                    padding-top: $bigPadding;
                    @include flexBox(row,center,center,nowrap);
                    .quantity-display{
                        margin:$smallMargin;
                        @include flexBox();
                        width: 40px;
                        height: 40px;
                        text-align: center;
                        border: solid 1px $black;
                        background-color: $white;
                        border-radius: 40px;
                        font-size: $fontNormal;                     
                    }
                }
                .price-background{
                    color: $gray;
                    text-decoration: line-through;
                }
                .price{
                    text-align: left;
                    position: relative;
                    padding-top: 60px;
                    height: 40px;
                    min-width: 120px;
                    max-width: 150px;
                    p{
                        padding: $smallPadding
                    }
                    .promo-overlay{
                        position: absolute;
                        top:35px;
                        left:0%;
                        color: $red;
                        .promo-discr{
                            padding-top: 30px;
                        }
                    }
                }
            }
        }
        
    /* --------------totaal  overzicht  prijs ------------------- */
        .basket-overview{
            max-height: 470px;
            padding: $normalPadding;
            grid-column-start: 2;
            grid-column-end: 3;
            background-color: $secondBackground ;
            padding: $normalPadding;
            margin-bottom: 50px;
            @include flexBox(column,flex-start,center);
            .head{
                text-transform: uppercase;
                width: 90%;
                @include flexBox(row,space-between);
                padding: $normalPadding 0;
                border-bottom: 1px solid $black;
            }
            .middel{
                text-transform: uppercase;
                padding: $bigPadding 0;
                width: 90%;
                text-align: left;
                border-bottom: 1px solid $black;
                p{
                    line-height: 1.3rem;
                    
                }
            }
            .bottem{
                padding: $bigPadding 0;
                width: 90%;

                .total{
                    width: 100%;
                    .deliv{
                        padding: $normalPadding 0;
                        @include flexBox(row,space-between);
                    }
                    .grand-total{
                        text-transform: uppercase;
                        padding: $normalPadding 0;
                        @include flexBox(row, space-between);
                        padding-bottom: 40px;
                    }
                    border-bottom: 1px solid $black;
                }
                .basket-submit{
                    padding: $bigPadding 0;
                    @include flexBox(row, center) ;

                    button{
                        border-radius: 2px;
                        width: 250px;
                        height: 40px;
                        background-color: $black;
                        color:$white;
                        transition: all 500ms;
                        font-size: 1.5rem;
                        &:hover{
       
                            width: 255px;
                            height: 42px;
                            font-size: 1.6rem;
                            transition: all 500ms;
                        }
                    }
                }

            }
  
        }
        @media only screen and (max-width: 900px) {
           

            .basket{
                background-color: $white !important;
            }
            .mobile-display-none{
            display: none;        
            }
            .image-basket{
                img{
                    width:100px;
                    max-width: 100px;

                }
        

            }
            .name{
                padding-top: 0px !important;
                padding-bottom: 5px !important;
            }
            .price{
                text-align:center !important;
                padding: $smallPadding $normalPadding !important;
                p{
                    font-size: 1.3rem;
                    padding: 5px !important;
                }
                .promo-overlay{
                    font-size: 1.2rem;
                    top:15px !important;

                    p{
                        padding-bottom: 1px !important;
                    }
                    .promo-discr{
                        padding-top: 1px !important;
                    }
                }
            }
            .quantity{
                padding-top: 25px !important;
                // justify-content: space-around !important;
                // align-items: space-around !important;
                div{
                    max-width: 45px !important;
                }
            }
            .delete-product{
                margin: 0 !important;
                padding:5px !important;
            }

            .basket-product-list{
                grid-column-start: 1;
                grid-column-end:3;
            }
            .basket-overview{
                grid-column-start: 1;
                grid-column-end: 3;
           
            }
            .product-name{
                max-width: 80% !important;
            }

        } 
    }


    @media only screen and (min-width: 900px){
        
        
        .page-title{
            padding-bottom:50px ;
            

        }
        .desktop-display-none{
            display: none;
        }

    }

    // smartphone
    @media only screen and (max-width: $smallScreen){
        background-color: $white !important;
        .product-name{
            text-align: center !important;
            display: flex !important;
            justify-content: center !important;
        }
        
    }

}